<?php

/*
Addon: Functions Helper to Class
*/

if(!function_exists('countdownwpb_get_format_date')) {
	function countdownwpb_get_format_date() {
		$return = array(
						esc_html__('November 6, 2010','countdownwpb')  					=> 'F j, Y',
						esc_html__('November 6, 2010 12:50 am','countdownwpb') 			=> 'F j, Y g:i a',
						esc_html__('12:50 - November 6, 2010 ','countdownwpb') 			=> 'G:i - F j, Y',
						esc_html__('November, 2010','countdownwpb') 						=> 'F, Y',
						esc_html__('12:50 am','countdownwpb')  							=> 'g:i a',
						esc_html__('12:50:48 am','countdownwpb') 							=> 'g:i:s a',
						esc_html__('Saturday, November 6th, 2010','countdownwpb')  		=> 'l, F jS, Y',
						esc_html__('12:50 - Saturday, November 6th, 2010','countdownwpb')  => 'G:i - l, F jS, Y',
						esc_html__('Nov 6, 2010 @ 0:50','countdownwpb') 					=> 'M j, Y @ G:i',
						esc_html__('2010/11/06 at 12:50 AM','countdownwpb')  				=> 'Y/m/d \a\t g:i A',
						esc_html__('2010/11/06 at 12:50am','countdownwpb') 				=> 'Y/m/d \a\t g:ia',
						esc_html__('2010/11/06 12:50:48 AM','countdownwpb')  				=> 'Y/m/d g:i:s A',
						esc_html__('2010/11/06','countdownwpb')  							=> 'Y/m/d',																																														
						esc_html__('6 November, 2010','countdownwpb')  					=> 'j F, Y',
						esc_html__('6 November, 2010 12:50 am','countdownwpb') 			=> 'j F, Y g:i a',
						esc_html__('12:50 - 6 November, 2010','countdownwpb') 				=> 'G:i - j F, Y',
						esc_html__('Saturday, 6 November, 2010','countdownwpb')  			=> 'l, j F, Y',
						esc_html__('12:50 - Saturday, 6 November, 2010','countdownwpb')  	=> 'G:i - l, j F, Y',
						esc_html__('6 Nov, 2010 @ 0:50','countdownwpb') 					=> 'j M, Y @ G:i',
						esc_html__('06/11/2010 at 12:50 AM','countdownwpb')  				=> 'd/m/Y \a\t g:i A',
						esc_html__('06/11/2010 at 12:50am','countdownwpb') 				=> 'd/m/Y \a\t g:ia',
						esc_html__('06/11/2010 12:50:48 AM','countdownwpb')  				=> 'd/m/Y g:i:s A',
						esc_html__('06/11/2010','countdownwpb')  							=> 'd/m/Y',																																													
					);	
		return $return;	
	}
}
if(!function_exists('countdownwpb_animation_effect')) {
	function countdownwpb_animation_effect() {
		$return = array(
							'fade in' 					=> 'fade-in',
							'fade in up' 				=> 'fade-in-up',
							'Fade In Up Big'			=> 'fade-in-up-big',
							'Fade In Down'				=> 'fade-in-down',
							'Fade In Down Big' 			=> 'fade-in-down-big',
							'Fade In Down Large' 		=> 'fade-in-down-large',
							'Fade In Left'				=> 'fade-in-left',						
							'Fade In Left Big' 			=> 'fade-in-left-big',
							'Fade In Left Large' 		=> 'fade-in-left-large',
							'Fade In Right'				=> 'fade-in-right',
							'Fade In Right Big'			=> 'fade-in-right-big',
							'Fade In Right Large' 		=> 'fade-in-right-large',
							'Fade In Up Left' 			=> 'fade-in-up-left' , 
							'Fade In Up Left Big' 		=> 'fade-in-up-left-big', 
							'Fade In Up Left Large' 	=> 'fade-in-up-left-large',
							'Fade In Up Right'			=> 'fade-in-up-right',
							'Fade In Up Right Big' 		=> 'fade-in-up-right-big', 
							'Fade In Up Right Large' 	=> 'fade-in-up-right-large', 
							'Fade In Down Left' 		=> 'fade-in-down-left',
							'Fade In Down Left Big' 	=> 'fade-in-down-left-big',
							'Fade In Down Left Large' 	=> 'fade-in-down-left-large',
							'Fade In Down Right' 		=> 'fade-in-down-right',
							'Fade In Down Right Big' 	=> 'fade-in-down-right-big',
							'Fade In Down Right Large' 	=> 'fade-in-down-right-large',
							'Fade In Up Left' 			=> 'fade-in-up-left', 
							'Fade In Up Left Big' => 'fade-in-up-left-big', 
							'Fade In Up Left Large' => 'fade-in-up-left-large',
							'Fade In Up Right' => 'fade-in-up-right',
							'Fade In Up Right Big' => 'fade-in-up-right-big', 
							'Fade In Up Right Large' => 'fade-in-up-right-large', 
							'Fade In Down Left' => 'fade-in-down-left',
							'Fade In Down Left Big' => 'fade-in-down-left-big',
							'Fade In Down Left Large' => 'fade-in-down-left-large',
							'Fade In Down Right' => 'fade-in-down-right',
							'Fade In Down Right Big' => 'fade-in-down-right-big',
							'Fade In Down Right Large' => 'fade-in-down-right-large',							
							'Fade Out' => 'fade-out',
							'Fade Out Up' => 'fade-out-up',
							'Fade Out Up Big' => 'fade-out-up-big',
							'Fade Out Up Large' => 'fade-out-up-large',
							'Fade Out Down' => 'fade-out-down',
							'Fade Out Down Big' => 'fade-out-down-big',
							'Fade Out Down Large' => 'fade-out-down-large',
							'Fade Out Left' => 'fade-out-left',
							'Fade Out Left Big' => 'fade-out-left-big',
							'Fade Out Left Large' => 'fade-out-left-large',
							'Fade Out Right' => 'fade-out-right',
							'Fade Out Right Big' => 'fade-out-right-big',
							'Fade Out Right Large' => 'fade-out-right-large',
							'Fade Out Up Left' => 'fade-out-up-left',
							'Fade Out Up Left Big' => 'fade-out-up-left-big',
							'Fade Out Up Left Large' => 'fade-out-up-left-large',
							'Fade Out Up Right' => 'fade-out-up-right',
							'Fade Out Up Right Big' => 'fade-out-up-right-big',
							'Fade Out Up Right Large' => 'fade-out-up-right-large',
							'Fade Out Down Left' => 'fade-out-down-left',
							'Fade Out Down Left Big' => 'fade-out-down-left-big',
							'Fade Out Down Left Large' => 'fade-out-down-left-large',
							'Fade Out Down Right' => 'fade-out-down-right',
							'Fade Out Down Right Big' => 'fade-out-down-right-big',
							'Fade Out Down Right Large' => 'fade-out-down-right-large',
							'Bounce In' => 'bounce-in',
							'Bounce In Big' => 'bounce-in-big',
							'Bounce In Large' => 'bounce-in-large',
							'Bounce In Up' => 'bounce-in-up',
							'Bounce In Up Big' => 'bounce-in-up-big',
							'Bounce In Up Large' => 'bounce-in-up-large',
							'Bounce In Down' => 'bounce-in-down',
							'Bounce In Down Big' => 'bounce-in-down-big',
							'Bounce In Down Large' => 'bounce-in-down-large',
							'Bounce In Left' => 'bounce-in-left',
							'Bounce In Left Big' => 'bounce-in-left-big',
							'Bounce In Left Large' => 'bounce-in-left-large',
							'Bounce In Right' => 'bounce-in-right',
							'Bounce In Right Big' => 'bounce-in-right-big',
							'Bounce In Right Large' => 'bounce-in-right-large',
							'Bounce In Up Left' => 'bounce-in-up-left',
							'Bounce In Up Left Big' => 'bounce-in-up-left-big',
							'Bounce In Up Left Large' => 'bounce-in-up-left-large',
							'Bounce In Up Right' => 'bounce-in-up-right',
							'Bounce In Up Right Big' => 'bounce-in-up-right-big',
							'Bounce In Up Right Large' => 'bounce-in-up-right-large',
							'Bounce In Down Left' => 'bounce-in-down-left',
							'Bounce In Down Left Big' => 'bounce-in-down-left-big',
							'Bounce In Down Left Large' => 'bounce-in-down-left-large',
							'Bounce In Down Right' => 'bounce-in-down-right',
							'Bounce In Down Right Big' => 'bounce-in-down-right-big',
							'Bounce In Down Right Large' => 'bounce-in-down-right-large',
							'Bounce Out' => 'bounce-out',
							'Bounce Out Big' => 'bounce-out-big',
							'Bounce Out Large' => 'bounce-out-large',
							'Bounce Out Up' => 'bounce-out-up',
							'Bounce Out Up Big' => 'bounce-out-up-big',
							'Bounce Out Up Large' => 'bounce-out-up-large',
							'Bounce Out Down' => 'bounce-out-down',
							'Bounce Out Down Big' => 'bounce-out-down-big',
							'Bounce Out Down Large' => 'bounce-out-down-large',
							'Bounce Out Left' => 'bounce-out-left',
							'Bounce Out Left Big' => 'bounce-out-left-big',
							'Bounce Out Left Large' => 'bounce-out-left-large',
							'Bounce Out Right' => 'bounce-out-right',
							'Bounce Out Right Big' => 'bounce-out-right-big',
							'Bounce Out Right Large' => 'bounce-out-right-large',
							'Bounce Out Up Left' => 'bounce-out-up-left',
							'Bounce Out Up Left Big' => 'bounce-out-up-left-big',
							'Bounce Out Up Left Large' => 'bounce-out-up-left-large',
							'Bounce Out Up Right' => 'bounce-out-up-right',
							'Bounce Out Up Right Big' => 'bounce-out-up-right-big',
							'Bounce Out Up Right Large' => 'bounce-out-up-right-large',
							'Bounce Out Down Left' => 'bounce-out-down-left',
							'Bounce Out Down Left Big' => 'bounce-out-down-left-big',
							'Bounce Out Down Left Large' => 'bounce-out-down-left-large',
							'Bounce Out Down Right' => 'bounce-out-down-right',
							'Bounce Out Down Right Big' => 'bounce-out-down-right-big',
							'Bounce Out Down Right Large' => 'bounce-out-down-right-large',
							'Zoom In' => 'zoom-in',
							'Zoom In Up' => 'zoom-in-up',
							'Zoom In Up Big' => 'zoom-in-up-big',
							'Zoom In Up Large' => 'zoom-in-up-large',
							'Zoom In Down' => 'zoom-in-down',
							'Zoom In Down Big' => 'zoom-in-down-big',
							'Zoom In Down Large' => 'zoom-in-down-large',
							'Zoom In Left' => 'zoom-in-left',
							'Zoom In Left Big' => 'zoom-in-left-big',
							'Zoom In Left Large' => 'zoom-in-left-large',
							'Zoom In Right' => 'zoom-in-right',
							'Zoom In Right Big' => 'zoom-in-right-big',
							'Zoom In Right Large' => 'zoom-in-right-large',
							'Zoom In Up Left' => 'zoom-in-up-left',
							'Zoom In Up Left Big' => 'zoom-in-up-left-big',
							'Zoom In Up Left Large' => 'zoom-in-up-left-large',
							'Zoom In Up Right' => 'zoom-in-up-right',
							'Zoom In Up Right Big' => 'zoom-in-up-right-big',
							'Zoom In Up Right Large' => 'zoom-in-up-right-large',
							'Zoom In Down Left' => 'zoom-in-down-left',
							'Zoom In Down Left Big' => 'zoom-in-down-left-big',
							'Zoom In Down Left Large' => 'zoom-in-down-left-large',
							'Zoom In Down Right' => 'zoom-in-down-right',
							'Zoom In Down Right Big' => 'zoom-in-down-right-big',
							'Zoom In Down Right Large' => 'zoom-in-down-right-large',
							'Zoom Out' => 'zoom-out',
							'Zoom Out Up' => 'zoom-out-up',
							'Zoom Out Up Big' => 'zoom-out-up-big',
							'Zoom Out Up Large' => 'zoom-out-up-large',
							'Zoom Out Down' => 'zoom-out-down',
							'Zoom Out Down Big' => 'zoom-out-down-big',
							'Zoom Out Down Large' => 'zoom-out-down-large',
							'Zoom Out Left' => 'zoom-out-left',
							'Zoom Out Left Big' => 'zoom-out-left-big',
							'Zoom Out Left Large' => 'zoom-out-left-large',
							'Zoom Out Right' => 'zoom-out-right',
							'Zoom Out Right Big' => 'zoom-out-right-big',
							'Zoom Out Right Large' => 'zoom-out-right-large',
							'Zoom Out Up Left' => 'zoom-out-up-left',
							'Zoom Out Up Left Big' => 'zoom-out-up-left-big',
							'Zoom Out Up Left Large' => 'zoom-out-up-left-large',
							'Zoom Out Up Right' => 'zoom-out-up-right',
							'Zoom Out Up Right Big' => 'zoom-out-up-right-big',
							'Zoom Out Up Right Large' => 'zoom-out-up-right-large',
							'Zoom Out Down Left' => 'zoom-out-down-left',
							'Zoom Out Down Left Big' => 'zoom-out-down-left-big',
							'Zoom Out Down Left Large' => 'zoom-out-down-left-large',
							'Zoom Out Down Right' => 'zoom-out-down-right',
							'Zoom Out Down Right Big' => 'zoom-out-down-right-big',
							'Zoom Out Down Right Large' => 'zoom-out-down-right-large',
							'Flip In X' => 'flip-in-x',
							'Flip In Y' => 'flip-in-y',
							'Flip In Top Front' => 'flip-in-top-front',
							'Flip In Top Back' => 'flip-in-top-back',
							'Flip In Bottom Front' => 'flip-in-bottom-front',
							'Flip In Bottom Back' => 'flip-in-bottom-back',
							'Flip In Left Front' => 'flip-in-left-front',
							'Flip In Left Back' => 'flip-in-left-back',
							'Flip In Right Front' => 'flip-in-right-front',
							'Flip In Right Back' => 'flip-in-right-back',
							'Flip Out X' => 'flip-out-x',
							'Flip Out Y' => 'flip-out-y',
							'Flip Out Top Front' => 'flip-out-top-front',
							'Flip Out Top Back' => 'flip-out-top-back',
							'Flip Out Bottom Front' => 'flip-out-bottom-front',
							'Flip Out Bottom Back' => 'flip-out-bottom-back',
							'Flip Out Left Front' => 'flip-out-left-front',
							'Flip Out Left Back' => 'flip-out-left-back',
							'Flip Out Right Front' => 'flip-out-right-front',
							'Flip Out Right Back' => 'flip-out-right-back',
							'Flash' => 'flash',
							'Strobe' => 'strobe',
							'Shake X' => 'shake-x',
							'Shake Y' => 'shake-y',
							'Bounce' => 'bounce',
							'Tada' => 'tada',
							'Rubber Band' => 'rubber-band',
							'Swing' => 'swing',
							'Spin' => 'spin',
							'Spin Reverse' => 'spin-reverse',
							'Slingshot' => 'slingshot',
							'Slingshot Reverse' => 'slingshot-reverse',
							'Wobble' => 'wobble',
							'Pulse' => 'pulse',
							'Pulsate' => 'pulsate',
							'Heartbeat' => 'heartbeat',
							'Panic' => 'panic',																									
		);
		return $return; 
	}
}

if(!function_exists('countdownwpb_animate_class')) {
	function countdownwpb_animate_class($addon_animate,$effect,$delay) {
		if($addon_animate == 'on') : 
			$animate_class = ' animate-in" data-anim-type="'.$effect.'" data-anim-delay="'.$delay.'"'; 
		else :
			$animate_class = '"';
		endif;		
		return $animate_class;
	}
}
if(!function_exists('countdownwpb_get_reg_menu')) {
	function countdownwpb_get_reg_menu() {
		$menu_list = get_registered_nav_menus();		
		$menu_reg_list = array();
		$menu_reg_list[] = 'Select Menu Position';
		foreach($menu_list as $location => $description) {
			$menu_reg_list[$description] = $location;
		}
		return $menu_reg_list;
	}
}
if(!function_exists('countdownwpb_get_category_array')) {
	function countdownwpb_get_category_array() {
		$categories = get_categories(array('orderby' => 'name','order' => 'ASC'));
		$categories_lists = array();
		$i = 0;
		foreach ($categories as $category) { 
			$categories_lists[$category->name] = $category->slug;
			$i++;
		}
		return $categories_lists;
	}	
}

if(!function_exists('countdownwpb_query')) {
	function countdownwpb_query( $source,
						$posts_source, 
						$posts_type, 
						$categories,
						$categories_post_type,
						$order, 
						$orderby, 
						$pagination, 
						$pagination_type,
						$num_posts, 
						$num_posts_page) {
								  
						if($orderby == 'views') { 
								$orderby = 'meta_value_num'; 
								$view_order = 'views';
						} else { $view_order = ''; }	
										
						if($source == 'post_type') {
							$posts_source = 'all_posts';
						}
						
						if($posts_source == 'all_posts') {
						
							$query = 'post_type=Post&post_status=publish&ignore_sticky_posts=1&orderby='.$orderby.'&order='.$order.'';						
							
							// CUSTOM POST TYPE
							if($source == 'post_type') {
								$query .= '&post_type='.$posts_type.'';
							}

							if($view_order == 'views') { 
								$query .= '&meta_key=wpb_post_views_count';
							}
							
							// CATEGORIES POST TYPE
							if($categories_post_type != '' && !empty($categories_post_type) && $source == 'post_type') {
								$taxonomy_names = get_object_taxonomies( $posts_type );
								$query .= '&'.$taxonomy_names[0].'='.$categories_post_type.'';	
							}

							// CATEGORIES POSTS
							if($categories != '' && $categories != 'all' && !empty($categories) && $source == 'post') {
								$query .= '&category_name='.$categories.'';	
							}
								
							if($pagination == 'yes' || $pagination == 'load-more') {
								$query .= '&posts_per_page='.$num_posts_page.'';	
							} else {
								if($num_posts == '') { $num_posts = '-1'; }
								$query .= '&posts_per_page='.$num_posts.'';
							}
						
							// PAGINATION		
							if($pagination == 'yes' || $pagination == 'load-more') {
								if ( get_query_var('paged') ) {
									$paged = get_query_var('paged');
								
								} elseif ( get_query_var('page') ) {			
									$paged = get_query_var('page');			
								} else {			
									$paged = 1;			
								}			
								$query .= '&paged='.$paged.'';
							}
							// #PAGINATION	
						
						} else { // IF STICKY
							

							if($pagination == 'yes' || $pagination == 'load-more') {
								$num_posts = $num_posts_page;	
							} else {
								if($num_posts == '') { $num_posts = '-1'; }
								$num_posts = $num_posts;
							}

							// PAGINATION		
							
							if ( get_query_var('paged') ) {
								$paged = get_query_var('paged');							
							} elseif ( get_query_var('page') ) {			
								$paged = get_query_var('page');			
							} else {			
								$paged = 1;			
							}			
							
							// #PAGINATION	
												
							/* STICKY POST DA FARE ARRAY PER SCRITTURA IN ARRAY */
						
							$sticky = get_option( 'sticky_posts' );
							$sticky = array_slice( $sticky, 0, 5 );
							if($view_order == 'views') { 
								$query = array(
									'post_type' => 'post',
									'post_status' => 'publish',
									'orderby' 	=> $orderby,
									'order' => $order,
									'category_name' => $categories,
									'posts_per_page' => $num_posts,
									'meta_key' => 'wpb_post_views_count',
									'paged' => $paged, 
									'post__in'  => $sticky,
									'ignore_sticky_posts' => 1
								);
							} else {
								$query = array(
									'post_type' => 'post',
									'post_status' => 'publish',
									'orderby' 	=> $orderby,
									'order' => $order,
									'category_name' => $categories,
									'posts_per_page' => $num_posts,
									'paged' => $paged, 
									'post__in'  => $sticky,
									'ignore_sticky_posts' => 1
								);
							}						
							
						} // #all_posts
						
						return $query;	
	}
}